Skip to main content
PUT
Create or update the user engagement status on any challenge's action

Path Parameters

site-id
string
required

The site identifier

challenge-id
string
required

The challenge identifier

Body

application/json
status
enum<string>

The engagement status

Available options:
ENGAGED,
REMOVED_CONSENT,
MANUALLY_DISENGAGED
Example:

"ENGAGED"

disengagementDate
string

The disengagement date, format YYYY-MM-DD

Example:

"2023-12-31"

actions
object[]
beginDate
string | null

The engagement begin date, format YYYY-MM-DD

Example:

"2024-01-01"

endDate
string | null

The engagement end date, format YYYY-MM-DD

Example:

"2024-01-01"

Response

OK, No Content